Subject: bug#76091: 31.0.50; festure/igc: buffer.h:829: Emacs fatal error: assertion failed: BUFFERP (a)

From: Pip Cet <[email-masked]>
Date: Fri, 07 Feb 2025 09:57:15 +0000

"Gregor Zattler" <[email-masked]> writes:

> Hi Eli,
> * Gregor Zattler <[email-masked]> [2025-02-06; 16:48 +01]:
>> I'll try to use an un-optimized build
>> but I'm afraid it's too slow for
>> everyday usage.
>
> So I did, it's really slow, but just
> usable, and I got a hit at the same
> breakpoint.  I again played around with
> org-noter.  When I finally hit C-x k (a
> convenience function which kills current
> buffer) the graphical frame vanished.
> It might even be that this is expected
> behaviour of org-noter but the daemon
> now hangs which it surely should not.

> #0  terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=2147483647) at ./src/emacs.c:425
> #1  0x00005555557d9a62 in set_state (state=state@entry=IGC_STATE_DEAD) at ./src/igc.c:1017
> #2  0x00005555557d9a96 in igc_assert_fail (file=file@entry=0x555555903e97 "igc.c", line=line@entry=3020, msg=msg@entry=0x5555558f2277 "r == NULL") at ./src/igc.c:306
> #3  0x00005555557da4e4 in igc_check_freeable (start=start@entry=0x555555b2b8f0) at ./src/igc.c:3020
> #4  0x0000555555736d12 in xfree (block=block@entry=0x555555b2b8f0) at ./src/alloc.c:760
> #5  0x00005555556889f0 in x_delete_display (dpyinfo=dpyinfo@entry=0x555555b2b8f0) at ./src/xterm.c:31925

This is a different bug, which I've fixed.

Still looking for the original bug...

Pip